Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_integration_details(integration_id="<id>")
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getIntegrationDetails({
integration_id: "<id>",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_integration_details(integration_id: '<id>')
unless res.get_integrations_integration_id_positive_response.nil?
# handle response
endcurl --request GET \
--url https://api.kombo.dev/v1/integrations/{integration_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/integrations/{integration_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/integrations/{integration_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/integrations/{integration_id}")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"id": "factorial:8d1hpPsbjxUkoCoa1veLZGe5",
"tool": {
"id": "factorial",
"label": "Factorial",
"internal_label": null,
"logo_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/logo.svg",
"icon_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg"
},
"category": "HRIS",
"status": "ACTIVE",
"setup_status": "COMPLETED",
"end_user": {
"organization_name": "Acme",
"creator_email": "example-integration-creator@acme.com",
"origin_id": "2DQJAUtSzzzKP9buDTvUvPk3"
},
"scope_config": {
"id": "B1hu5NGyhdjSq5X3hxEz4bAN",
"name": "Anonymous Scopes"
},
"data_expired_at": null,
"created_at": "2022-08-07T14:01:29.196Z",
"beta": false,
"read_models": [
{
"id": "hris_employees",
"label": "Employees",
"is_available": true,
"coverage_status": "SUPPORTED",
"scope_config_setting": "ENABLED",
"opted_out_by_customer": false,
"fields": [
{
"id": "date_of_birth",
"is_available": false,
"coverage_status": "SUPPORTED",
"scope_config_setting": "OPTIONAL",
"opted_out_by_customer": true
}
]
}
],
"write_actions": [
{
"id": "hris_create_employee",
"label": "Create employee",
"is_available": true,
"coverage_status": "SUPPORTED",
"scope_config_setting": "ENABLED",
"opted_out_by_customer": false,
"fields": [
{
"id": "first_name",
"is_available": true,
"coverage_status": "SUPPORTED"
}
]
}
]
}
}Integrations
Get integration details
Get the specified integration with everything you need to display it to your customer.
GET
/
integrations
/
{integration_id}
Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_integration_details(integration_id="<id>")
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getIntegrationDetails({
integration_id: "<id>",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_integration_details(integration_id: '<id>')
unless res.get_integrations_integration_id_positive_response.nil?
# handle response
endAuthorizations
Path Parameters
GET /integrations/:integration_id Parameter
Response
GET /integrations/:integration_id Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"id": "factorial:8d1hpPsbjxUkoCoa1veLZGe5",
"tool": {
"id": "factorial",
"label": "Factorial",
"internal_label": null,
"logo_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/logo.svg",
"icon_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg"
},
"category": "HRIS",
"status": "ACTIVE",
"setup_status": "COMPLETED",
"end_user": {
"organization_name": "Acme",
"creator_email": "example-integration-creator@acme.com",
"origin_id": "2DQJAUtSzzzKP9buDTvUvPk3"
},
"scope_config": {
"id": "B1hu5NGyhdjSq5X3hxEz4bAN",
"name": "Anonymous Scopes"
},
"data_expired_at": null,
"created_at": "2022-08-07T14:01:29.196Z",
"beta": false,
"read_models": [
{
"id": "hris_employees",
"label": "Employees",
"is_available": true,
"coverage_status": "SUPPORTED",
"scope_config_setting": "ENABLED",
"opted_out_by_customer": false,
"fields": [
{
"id": "date_of_birth",
"is_available": false,
"coverage_status": "SUPPORTED",
"scope_config_setting": "OPTIONAL",
"opted_out_by_customer": true
}
]
}
],
"write_actions": [
{
"id": "hris_create_employee",
"label": "Create employee",
"is_available": true,
"coverage_status": "SUPPORTED",
"scope_config_setting": "ENABLED",
"opted_out_by_customer": false,
"fields": [
{
"id": "first_name",
"is_available": true,
"coverage_status": "SUPPORTED"
}
]
}
]
}
Was this page helpful?
⌘I